# Interface ITimeHeaderParent

public interface ITimeHeaderParent

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doBeforeTimeHeaderRender(BeforeTimeHeaderRenderArgs ea)`
  `boolean`
  `doIncludeCell(DateTime start, DateTime end, boolean visible)`
  `int`
  `getBusinessBeginsHour()`
  `int`
  `getBusinessEndsHour()`
  `int`
  `getCellDuration()`
  `GroupBy`
  `getCellGroupBy()`
  `int`
  `getCellWidth()`
  `DateTime`
  `getEndDate()`
  `boolean`
  `getFixedCellWidth()`
  `String`
  `getHourNameBackColor()`
  `Locale`
  `getLocale()`
  `DayOfWeek`
  `getResolvedWeekStart()`
  `TimeScale`
  `getScale()`
  `boolean`
  `getShowNonBusiness()`
  `DateTime`
  `getStartDate()`
  `TimeFormat`
  `getTimeFormat()`
  `TimeHeaderCollection`
  `getTimeHeadersResolved()`
  `TimeCellCollection`
  `getTimeline()`
  `TimeZone`
  `getTimeZone()`
  `DateTime`
  `getVisibleEnd()`
  `DateTime`
  `getVisibleStart()`
  `boolean`
  `isDaysMode()`

- ## Method Details

  - ### getVisibleStart

    DateTime getVisibleStart()

  - ### isDaysMode

    boolean isDaysMode()

  - ### getVisibleEnd

    DateTime getVisibleEnd()

  - ### getStartDate

    DateTime getStartDate()

  - ### getTimeHeadersResolved

    TimeHeaderCollection getTimeHeadersResolved()

  - ### getCellGroupBy

    GroupBy getCellGroupBy()

  - ### getHourNameBackColor

    String getHourNameBackColor()

  - ### getShowNonBusiness

    boolean getShowNonBusiness()

  - ### getBusinessBeginsHour

    int getBusinessBeginsHour()

  - ### getBusinessEndsHour

    int getBusinessEndsHour()

  - ### getResolvedWeekStart

    DayOfWeek getResolvedWeekStart()

  - ### getTimeFormat

    TimeFormat getTimeFormat()

  - ### getScale

    TimeScale getScale()

  - ### getTimeline

    TimeCellCollection getTimeline()

  - ### getCellWidth

    int getCellWidth()

  - ### getEndDate

    DateTime getEndDate()

  - ### getCellDuration

    int getCellDuration()

  - ### getFixedCellWidth

    boolean getFixedCellWidth()

  - ### doBeforeTimeHeaderRender

    void doBeforeTimeHeaderRender(BeforeTimeHeaderRenderArgs ea)

  - ### doIncludeCell

    boolean doIncludeCell(DateTime start, DateTime end, boolean visible)

  - ### getLocale

    Locale getLocale()

  - ### getTimeZone

    TimeZone getTimeZone()